Package pyxmpp :: Package jabber :: Module muccore :: Class MucStatus

[hide private]

# Class MucStatus

source code

     object --+
              |
    MucItemBase --+
                  |
                 MucStatus

MUC <item/> element - describes special meaning of a stanza

Instance Methods | [hide private]

__init__(self, xmlnode_or_code) Initialize a MucStatus element. | source code

__init(self, code) Initialize a MucStatus element from a status code. | source code

__from_xmlnode(self, xmlnode) Initialize a MucStatus element from an XML node. | source code

`libxml2.xmlNode`

as_xml(self, parent) Create XML representation of `self`. | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Instance Variables | [hide private]

: `int` | code : staus code, as defined in JEP 45

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(self, xmlnode_or_code)
(Constructor)

source code

Initialize a MucStatus element.

Parameters:
  - `xmlnode_or_code` (: `libxml2.xmlNode` or `int`) - : XML node to parse or a status code.
Overrides: object.__init__

### __init(self, code)

source code

Initialize a MucStatus element from a status code.

Parameters:
  - `code` (: `int`) - : the status code.

### __from_xmlnode(self, xmlnode)

source code

Initialize a MucStatus element from an XML node.

Parameters:
  - `xmlnode` (: `libxml2.xmlNode`) - : XML node to parse.

### as_xml(self, parent)

source code

Create XML representation of `self`.

Parameters:
  - `parent` (: `libxml2.xmlNode`) - : the element to which the created node should be linked to.
Returns: `libxml2.xmlNode`
  an XML node.